Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.tools.shell
[Groovy] Class ComplexCommandSupport

    java.lang.Object
      org.codehaus.groovy.tools.shell.CommandSupport
          org.codehaus.groovy.tools.shell.ComplexCommandSupport

    abstract class ComplexCommandSupport
    extends CommandSupport

Support for more complex commands.

Authors:
  Jason Dillon

Version:
  \$Id\$

Field Summary
`protected java.lang.String` | `defaultFunction`
`protected java.util.List` | `functions`

Fields inherited from class CommandSupport
NEWLINE, io, log, messages, registry, shell

Property Summary
`java.lang.Object` | `do_all`

Constructor Summary
`ComplexCommandSupport(Shell shell, java.lang.String name, java.lang.String shortcut)`

Method Summary
`protected java.util.List` | `createCompletors()`
`java.lang.Object` | `execute(java.util.List args)`
`protected java.lang.Object` | `executeFunction(java.util.List args)`
`protected Closure` | `loadFunction(java.lang.String name)`

Methods inherited from class CommandSupport
alias, assertNoArguments, createCompletors, fail, fail, getBinding, getBuffer, getBuffers, getClassLoader, getCompletor, getDescription, getHelp, getHistory, getImports, getUsage, getVariables

Field Detail

### defaultFunction

    protected java.lang.String defaultFunction

### functions

    protected java.util.List functions

Property Detail

### do_all

    java.lang.Object do_all

Constructor Detail

### ComplexCommandSupport

    ComplexCommandSupport(Shell shell, java.lang.String name, java.lang.String shortcut)

Method Detail

### createCompletors

    protected java.util.List createCompletors()

### execute

    java.lang.Object execute(java.util.List args)

### executeFunction

    protected java.lang.Object executeFunction(java.util.List args)

### loadFunction

    protected Closure loadFunction(java.lang.String name)

Groovy Documentation